> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Vehicle Connect Vin Results

> Get details of individual VINs that were sent in the connection request.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR



## OpenAPI

````yaml get /v1/vehicles/connect/{id}/results
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/connect/{id}/results:
    get:
      tags:
        - Vehicle Connection
      summary: Bulk Vehicle Connect Vin Results
      description: >-
        Get details of individual VINs that were sent in the connection request.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR
      operationId: bulk_vehicle_connect_vin_results_v1_vehicles_connect__id__results_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
        - name: maxPageSize
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 1
              - type: 'null'
            title: Max page size
            description: Max size of the returned list.
          description: Max size of the returned list.
        - name: currentPage
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: Current page
            description: Current page
          description: Current page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageResults_VehicleInputResponse_'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    PageResults_VehicleInputResponse_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/VehicleInputResponse'
          type: array
          title: Results
          default: []
        totalResults:
          type: integer
          title: Totalresults
          default: 0
      type: object
      title: PageResults[VehicleInputResponse]
    VehicleInputResponse:
      properties:
        vehicleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Vehicleid
          description: >-
            Vehicle ID of the connected vehicle. This will only be set if the
            vehicle was connected successfully
        vehicleInputId:
          type: string
          title: Vehicleinputid
          description: >-
            ID of the vehicle input (IE this specific attempt for the VIN
            upload).
        status:
          $ref: '#/components/schemas/APIVehicleUploadStatus'
          description: >-
            Status of the vehicle connection attempt.

            - `CONNECTED`: The vehicle was successfully connected.

            - `PROCESSING`: The VIN is queued and waiting to be processed by the
            platform.

            - `PENDING`: The VIN has been ingested and is being connected. Check
            the message field for any required actions (e.g. vehicle must be
            driven to complete connection).

            - `CONNECTION_REQUIRED`: The vehicle owner needs to authenticate via
            our consent flow to complete the connection.

            - `INCOMPATIBLE`: The VIN is not compatible with the OEM's connected
            vehicle platform.

            - `ERROR`: The connection failed — check the errors field for
            details.
        message:
          type: string
          title: Message
          description: Message for the response.
        errors:
          items:
            $ref: '#/components/schemas/VehicleInputResponseError'
          type: array
          title: Errors
          description: Errors for the response, if any were raised
          default: []
        canRetry:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Canretry
          description: Whether the client can retry the upload on error.
        vin:
          anyOf:
            - type: string
            - type: 'null'
          title: Vin
          description: The VIN
        make:
          anyOf:
            - type: string
            - type: 'null'
          title: Make
          description: The vehicle make
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: The vehicle model
        countryCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Countrycode
          description: >-
            ISO two-character country code of the vehicle captured during
            upload, if provided.
        registrationPlate:
          anyOf:
            - type: string
            - type: 'null'
          title: Registrationplate
          description: Vehicle registration plate captured during upload, if provided.
        modelYear:
          anyOf:
            - type: integer
            - type: 'null'
          title: Modelyear
          description: Vehicle model year captured during upload, if provided.
        registrationDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Registrationdate
          description: Vehicle registration date captured during upload, if provided.
        owners:
          items:
            type: string
          type: array
          title: Owners
          description: Owner identifiers (emails or group names) captured during upload.
        tags:
          items:
            $ref: '#/components/schemas/Tag'
          type: array
          title: Tags
          description: Tags provided during the upload.
        wasAlreadyConnected:
          type: boolean
          title: Wasalreadyconnected
          description: >-
            True when this row landed on a vehicle that was already enrolled —
            i.e. a re-upload that updated existing tags/owners/etc. False for a
            fresh enrolment. Always false unless the row completed successfully
            on an existing vehicle.
          default: false
      type: object
      required:
        - vehicleInputId
        - status
        - message
      title: VehicleInputResponse
    APIVehicleUploadStatus:
      type: string
      enum:
        - CONNECTED
        - PROCESSING
        - PENDING
        - CONNECTION_REQUIRED
        - INCOMPATIBLE
        - ERROR
      title: APIVehicleUploadStatus
      description: Status of a vehicle connection attempt.
    VehicleInputResponseError:
      properties:
        code:
          type: string
          enum:
            - OEM_INCORRECT_REGION
            - OEM_VEHICLE_OFFLINE
            - OEM_VEHICLE_REMOTE_ACCESS_DISABLED
            - OEM_VEHICLE_DATA_SHARING_DISABLED
            - FLEET_CONSENT_MISSING
            - OEM_AUTH_DRIVER_IS_NOT_PRIMARY_USER
            - OEM_DEVICE_NOT_FOUND
            - OEM_VEHICLE_NOT_COMPATIBLE
            - OEM_VEHICLE_UPDATE_REQUIRED
            - DEVICE_LIMIT_REACHED
            - NOT_PERMITTED
            - VIN_UPLOAD_INVALID_FORMAT
            - INVALID_VIN
            - VIN_CHECK_NOT_SUPPORTED
            - VEHICLE_ALREADY_ADDED_TO_ORGANIZATION
            - VEHICLE_ALREADY_ADDED_CONNECTION_REQUIRED
            - VEHICLE_ALREADY_ADDED_INCOMPATIBLE
            - VEHICLE_ALREADY_ADDED_PENDING_CONNECTION
            - VIN_UPLOAD_NOT_SUPPORTED
            - VIN_BLACKLISTED
            - SUBJECTS_NOT_ASSIGNABLE
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        actionCategory:
          anyOf:
            - type: string
            - type: 'null'
          title: Actioncategory
          description: >-
            Category indicating who must act on this error: CUSTOMER_ACTION,
            CONTACT_SUPPORT, or UNDER_REVIEW
      type: object
      required:
        - code
        - message
      title: VehicleInputResponseError
    Tag:
      properties:
        key:
          type: string
          maxLength: 150
          title: Key
        value:
          type: string
          maxLength: 150
          title: Value
      type: object
      required:
        - key
        - value
      title: Tag
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````